LPBANNER(1)

NAME
lpbanner - print a banner

SYNOPSIS
lpbanner [ -llength ] [ -wwidht ] [ -Pprinter ] [ -Lbannername ] [ -nloginname ] [ -hhost ] [ -Jjobtitle ] [ -Cclass ] [ -?option args ] [ all ]

DESCRIPTION

The lpbanner program is used to print a simple banner on a fixed size font printer. All information to be printed is passed using command line arguements. In order to be compatible with vintage line printer spoolers, reads a line form standard input, but ignores the information.

OPTIONS

-w width
    Page width in characters (default 132).

-l length
    Page length in lines (default 60).

-P printer
    printer queue for banner information.

-L bannername
    Name used on banner as main name.

-n loginname
    Name used on banner as login name.

-h host
    Name used on banner as host name.

-J jobtitle
    String used on banner as main title.

-C class
    String used on banner as class.

-? value
    All other options and arguments provided by LPRng are ignored.

SEE ALSO

lpd.conf(5), lpc(8), lpd(8), lpr(1), lpq(1), lprm(1), printcap(5), lpd.conf(5), pr(1).

HISTORY

LPRng is a enhanced printer spooler system with functionality similar to the Berkeley LPR software. In 1988 Patrick Powell released the PLP (Public Line Printer) software, which went through several evolutions. Justin Mason (jmason@iona.ie) generated PLP4.0 from several older releases of PLP. In 1992 Patrick Powell release LPRng, a completely redesigned and newly written version of the software.

The LPRng mailing list is plp@iona.ie; subscribe by sending mail to plp-request@iona.ie with the word subscribe in the body. The software is available from ftp://iona.ie/pub/LPRng.

LPRng is distributed under the GNU software license for non-commercial use, the Artistic License for limited commercial use. Commerical support and licensing is available through Patrick Powell <papowell@sdsu.edu>.